Redmine - Feature #13429

Include attachment thumbnails in issue history
2013-03-11 17:06 - Jan from Planio www.plan.io

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 3.2.0

Resolution: Fixed

Description

Our customers at Planio thought that it would be nice to show thumbnails of image attachments inline with the respective journal
entries of an issue. Here's the patch for that against 1.4.7. Should be relatively easy to port to current Redmine trunk.

Related issues:

Related to Redmine - Feature #3733: Inline images need to be inserted inline ... Closed 2009-08-12

Related to Redmine - Feature #11988: Display additional attachments in the is... Closed

Associated revisions

Revision 14731 - 2015-10-24 07:51 - Jean-Philippe Lang
Thumbnails in issue history (#13429).

History

#1 - 2015-10-03 07:12 - Go MAEDA
- File patch-13429-screenshot.png added
- File attachment_thumbnails_in_issue_history.diff added

- Target version set to Candidate for next major release

Thanks for the nice patch! Works fine on current trunk (3.1.1.devel.14637).

History

Updated by Redmine Admin about 1 hour ago

* File IMG_4114.JPG added
+ File IMG_4094.JPG added

officia deserunt mollit anim id est laborum,

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tem)
ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex
reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Ex

| added 'vertical-align: middle;' to 'div.thumbnails img', to remove unnecessary margin at bottom. Here is an updated patch:

hment_thumbnails_in_i _history.diff

#2 - 2015-10-05 16:53 - Jan from Planio www.plan.io

Good news, I'm glad you find it useful!

#3 - 2015-10-07 07:25 - Go MAEDA
- File attachment_thumbnails_in_issue_history-20151007.diff added

Small code improvement.

#4 - 2015-10-22 13:53 - budo kaiman
http://plan.io
https://www.redmine.org/attachments/14341

+1 | think this is quite useful and looks better than using inline images in notes.

#5 - 2015-10-22 14:45 - Go MAEDA

- Target version changed from Candidate for next major release to 3.2.0

Could this be included in 3.2.0?

#6 - 2015-10-24 07:51 - Jean-Philippe Lang
- Tracker changed from Patch to Feature

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Feature added in r14731.

#7 - 2015-10-26 09:10 - Jan from Planio www.plan.io

thanks!

#8 - 2018-08-06 15:39 - Go MAEDA

- Related to Feature #3733: Inline images need to be inserted inline into issue comments added

#9 - 2018-10-03 05:44 - Go MAEDA

- Related to Feature #11988: Display additional attachments in the issue history only added
